
/* =========================
   RESET
========================= */

*,
*::before,
*::after {
  box-sizing: border-box;
}


/* =========================
   COLORS
========================= */

:root {

    --green-dark: #1f4d2b;
    --green-mid: #5e9966;
    --green-light: #5E9F68;
    --white: #fff;

    --text-dark: #2f5d3a;
    --bg-light: #f7f7f5;

    --radius-xl: 60px;
    --radius-pill: 999px;

}
        
/* =========================
   MAIN
========================= */

        html {
            overflow-x: hidden;
        }
        
body {
  margin: 0;
  font-family: "Be Vietnam Pro", sans-serif;
  color: #2f5d3a;
  background: #f7f7f5;
  line-height: 1.6;
    font-weight: 300;
    overflow-x: hidden;
}
        
.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 2rem;
}

img {
  max-width: 100%;
  display: block;
}

a {
  text-decoration: none;
  color: inherit;
}

/* =========================
   TYPOGRAPHY
========================= */

h1,
h2,
h3 {
  font-family: "Instrument Serif", serif;
  font-weight: 400;
  line-height: 1.1;
}

h1 {
  font-size: clamp(3rem, 3vw, 3.2rem);
    letter-spacing: -0.02em;
}

h2 {
    font-size: clamp(2.8rem, 2.5vw, 2.4rem);
    margin: 1rem 0rem;
}

p {
    font-size: 1rem;
    /* max-width: 46ch; */
}

strong { font-weight: 700; }
        

.green-mid {
    color: var(--green-mid);
}
        
.contact-title {
    margin-top: 60px;
    font-size: clamp(2.2rem, 2.5vw, 2.4rem);
    
}


/* =========================
   BUTTONS
========================= */

.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 1.1rem 2.1rem;
  border-radius: var(--radius-pill);
  font-size: 0.8rem;
  letter-spacing: 0.2em;
  transition: all 0.2s ease;
    text-transform: uppercase;
}

.btn--outline {
  border: 1px solid var(--green-mid);
  color: var(--green-mid);
}

.btn--outline:hover {
  background: var(--green-mid);
  color: white;
}

.btn--outline-white {
  border: 1px solid white;
  color: white;
}

.btn--outline-white:hover {
  background: white;
  color: var(--green-dark);
}
        
.btn-green {
    background: var(--green-mid);
    color: var(--bg-light);
}

.btn-green:hover {
  background: #fff;
  color: var(--green-mid);
}
        
        .btn-hero {
            border: 2px solid var(--green-mid);
        }
        
        .btn-hero:hover {
            border: 2px solid var(--green-mid);
        }
        
        .btn-linkedin {
            text-transform: uppercase;
            color: var(--green-dark);
            font-size: 11px;
            letter-spacing: 3px;
        }



/* =========================
   HEADER
========================= */

.site-header {
    position: sticky;
    top: 20;
    padding: 0;
    z-index: 10;
    margin: 1% 12%;
    border: 1px solid var(--green-mid);
    border-radius: var(--radius-pill);
    

    transition: 
        background-color 0.4s ease;
}

a.header-contact {
    transition: transform 0.2s ease;
    color: var(--green-mid);
}

a.header-contact:hover {
    transform: scale(1.05);
}

.nav-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1% 5%;
    /* background: var(--bg-light); */
}


body.scrolled .site-header {
    background-color: var(--bg-light);
    top: 20px;

}

.nav-inner a {
    border-bottom: 2px solid var(--green-mid);
}

.logo img {
    height: 50px;
}

/* =========================
   HERO
========================= */

.hero {
    display: grid;
    grid-template-columns: 1fr 0.8fr;
    align-items: center;
  padding: 0% 18% 1.5%;
    margin-top: -120px;
    gap: 3rem;
}

.hero__content {
    display: flex;
    justify-content: center;
    margin-top: 60px;
}

.hero__text {
    /* max-width: 520px; */
}

.hero__content p {
    margin-top: 1.5rem;
}

.hero__content .btn {
    margin-top: 2rem;
}

.hero__image {
    display: flex;
    justify-content: center;
}
        
.hero-image-hover {
  content: url("../img/Tekening_Default.png");
  width: 100%;
  transition: opacity 0.35s ease;
  height: auto;
}

.hero-image-hover:hover {
  content: url("../img/Tekening_Hover.png");
  transition: opacity 0.35s ease;
  pointer-events: none;
}

        

/* =========================
   ABOUT SECTION
========================= */

.about {
  margin-top: 2rem;
  background: var(--green-mid);
  color: white;
  border-radius: var(--radius-xl);
  padding: 3.4% 21% 1.5% 18%;
  display: grid;
  grid-template-columns: 1fr 1.2fr;
  gap: 7rem;
    
      z-index: 2;
      position: relative;
}

.about h2 {
  color: white;
}

.about p {
  color: white;
  opacity: 0.95;
}
        

        .about__heading {
            position: relative;
        }


/* =========================
   CONTACT
========================= */

.contact {
    position: relative;
  background: var(--green-dark);
  color: var(--green-light);
  margin-top: -4rem;
  padding: 7% 21% 1.5% 18%;
  display: grid;
  grid-template-columns: 1fr 1.2fr;
  gap: 7rem;
    z-index: 1;
  /* border-radius: var(--radius-xl); */
}

.contact__map {
  display: flex;
  /* flex-direction: column; */
    justify-content: center;
  align-items: flex-end;
min-height: 4rem;
  gap: 2rem;
    position: relative;
}

.map-circle {
  width: 300px;
  height: 300px;
  overflow: hidden;
    margin: 200px auto;
    position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}


.contact__info h2 {
  margin-bottom: 2rem;
}

.contact__firm {
  letter-spacing: 0.08em;
  font-size: 0.9rem;
  margin-bottom: 1rem;
}

.contact__links {
  list-style: none;
  padding: 0;
  margin-top: 1.2rem;
}
        
        ul { margin-bottom: 0px;}

.contact__links li {
  margin-bottom: 0.4rem;
}

.contact__links a {
    border-bottom: 2px solid var(--green-mid);
}
        li.mail-link:before {
            display: inline-block;
            content: '';
            width: 20px;
            height: 20px;
            background-image: url('../img/Mail_Icon.svg');
            background-size: contain;
            background-repeat: no-repeat;
            margin-right: 10px;
            vertical-align: bottom;
        }
        
        li.phone-link:before {
            display: inline-block;
            content: '';
            width: 20px;
            height: 20px;
            background-image: url('../img/Phone_Icon.svg');
            background-size: contain;
            background-repeat: no-repeat;
            margin-right: 6px;
            margin-left: 3px;
            vertical-align: middle;
        }
        
        
        .contact__links a:hover {
            color: var(--bg-light);
        }
        
        .contact__links li img {
            display: inline-block;
            float: left;
            padding-right: 5px;
            height: 25px;
        }

address {
    font-style: normal;
}

.linkedin-icon {
    padding: 0px 3px 2px 11px;
    box-sizing: border-box;
}
        
/* =========================
   FOOTER
========================= */

.site-footer {
  text-align: center;
  padding: 2rem;
  background: var(--green-dark);
  color: var(--green-light);
  font-size: 0.75rem;
}
        

.site-footer p {           
  font-size: 0.75rem;
}
        
        .site-footer a {
            border-bottom: 1px solid var(--green-mid);
        }

        .site-footer a:hover {
            border-color: var(--bg-light);
        }

/* =========================
   RESPONSIVE
========================= */

@media (min-width: 1729px) {
    
        .site-header {
        margin: 2% 18%;
        }
    
    .hero {
            padding: 0% 22% 1.5%;
    }

    .about {
        padding: 3.4% 24% 1.5% 22%;
    }
    
    .contact {
        padding:  7% 23% 1.5% 22%;
    }
}
        
        
        /* eerste breekpunt 1454px */

 @media (max-width: 1454px) {

        .site-header {
        margin: 2% 10%;
        }

        .hero {
        grid-template-columns: 0.8fr 1.1fr;
        }

        .hero__content {
        margin-top: 150px;
        }

        .desktop-break { display: none; }

        h1 {
        font-size: clamp(2.5rem, 3vw, 3.2rem);
        letter-spacing: -0.02em;
        }
            
            .map-circle { 
                bottom: 20%;
                width: 100% !important;
                height: 100% !important;
            }

h2 {
    font-size: clamp(2.3rem, 2.5vw, 2.4rem);
    margin: 1rem 0rem;
}
            
            
        }
        
        
        

@media (max-width: 970px) {
    
.desktop-break { display: none; }
    
    
    .site-header {
        margin: 2% 6%;
        }

    
    
    .map-circle { 
    height: 350px !important; 
    width: 350px !important;
        top: 400%;
        left: 0%;
        transform: translate(100%, -50%);
    }
    
    .nav-inner {
        padding: 2% 7%;
    }

  .hero {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .about {
    grid-template-columns: 1fr;
      padding: 3.4% 10% 1.5%;
      gap: 0em;
  }

  .contact {
    grid-template-columns: 1fr;
    padding: 10%;
      padding-top: 16%;
      gap: 2em;
  }
    
    .contact__map {
        justify-content: normal;
        order: 2;
    }
    
    

}
        
        
        
@media (max-width: 545px) { 
        
            .contact {
                padding-top: 22%;
            }
    
    .map-circle { 
    display: none;
    }
        
        }